/**********************************************************************/
/** Copyright (C) 2021 - Université Catholique de Louvain		**/
/** affinistan version 2021.1						**/
/** Author: Mohamed HADDAD (immc-MEMA)				**/
/** Contact: mohamed.haddad@uclouvain.be				**/
/** Use of this source code is governed by an UCL-style license	**/ 
/** All Rights Reserved						**/
/** This project has received funding from the European 		**/
/** Union’s Horizon 2020 research and innovation program		**/
/** under grant agreement No 862015					**/
/***********************************************************************/

#ifndef GLOBAL_H
#define GLOBAL_H 1

#define LMAX 256  /* Maximum length of a character string in input */
                  /* Must be long due to the file names including a full path */

#ifdef MAIN_C

char homogenization[LMAX], homogmodel[LMAX], computestrs[LMAX], history[LMAX], load[LMAX], macroop[LMAX];
double strnratio, strnrate, tf, initstrn[6], initstrs[6], s0, sM, testtime, nbrcycles;
int nbrcolloc, nbrtimesteps;
char filenameprefix[LMAX], finddstrn1numsch[LMAX];
int max_nbrGi; 	/** Size of vectors conatining shear relaxation weights & times	**/
int max_nbrKj; 	/** Size of vectors conatining bulk relaxation weights & times 	**/

#else

extern char homogenization[LMAX];
extern char homogmodel[LMAX];
extern char computestrs[LMAX];
extern char history[LMAX];
extern char load[LMAX];
extern char macroop[LMAX];
extern double strnratio;
extern double strnrate;
extern double tf;
extern double initstrn[6];
extern double initstrs[6];
extern double s0;
extern double sM;
extern double testtime;
extern double nbrcycles;
extern int nbrcolloc;
extern int nbrtimesteps;
extern char filenameprefix[LMAX];
extern char finddstrn1numsch[LMAX];
extern int max_nbrGi; 	/** Size of vectors conatining shear relaxation weights & times	**/
extern int max_nbrKj; 	/** Size of vectors conatining bulk relaxation weights & times 	**/

#endif

#endif
