import os,shutil, fnmatch, pickle
import numpy as np
import matplotlib.pyplot as plt

def read_csv(filename, index,delimiter=';'):
    # Reading csv ...
    with open(filename, 'r') as file_object:
        data = file_object.read()

    # Getting all lines
    lines = data.split('\n')

    # Putting the data in the corresponding list
    x = []
    for line in lines:
        tmp = line.split(delimiter)
        if len(tmp)>=2 and index<len(tmp):
          x.append(float(tmp[index]))

    return np.array(x)

time=[]
force=[]
disp=[]


PATH_RESULTS='./results/'
for dirpath, dirnames, filenames in os.walk(PATH_RESULTS):
  for filename in filenames:
    if fnmatch.fnmatch(filename, 'force551comp1.csv'):
      fname=str(dirpath)+'/'+str(filename)
      print("treat ",fname)
      time.append(read_csv(fname,0))
      force.append(read_csv(fname,1))
    if fnmatch.fnmatch(filename, 'NodalDisplacementPhysical553Num3comp1.csv'):
      fname=str(dirpath)+'/'+str(filename)
      print("treat ",fname)
      disp.append(read_csv(fname,1))

plt.rc('xtick', labelsize=20)
plt.rc('ytick', labelsize=20)

fig1=plt.figure(constrained_layout=True)
for k in range(len(disp)):
  plt.plot(disp[k]/-30.,force[k]/900.)
plt.title("Random multiscale lattice compression")
plt.xlabel("strain",fontsize=20)
plt.ylabel("stress (MPa)",fontsize=20)
plt.legend(fontsize=20)
fig1.savefig("SFEMRNNCompression.png")
plt.show()
